package org.jeecg.modules.statistics.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.statistics.entity.BuFaultStatistics;
import org.jeecg.modules.statistics.model.LineDataStatistics;
import org.jeecg.modules.statistics.model.OpenStatistics;

import java.util.List;

/**
 * @Description: 设备信息统计表
 * @Author: jeecg-boot
 * @Date:   2021-01-18
 * @Version: V1.0
 */
public interface BuFaultStatisticsMapper extends BaseMapper<BuFaultStatistics> {

    List<OpenStatistics> monthTypeStatistics(@Param("year") String year);
    List<OpenStatistics> monthSystemStatistics(@Param("year") String year);
    List<OpenStatistics> monthGradeStatistics(@Param("year") String year);

    List<OpenStatistics> dayTypeStatistics(@Param("year") String year,@Param("month") String month);
    List<OpenStatistics> daySystemStatistics(@Param("year") String year,@Param("month") String month);
    List<OpenStatistics> dayGradeStatistics(@Param("year") String year,@Param("month") String month);

//    List<BuFaultStatistics> lineSystemStatistics(@Param("year") String year);


}
